﻿@model BaseData
@section  Styles {
<style>
 .searchinput:focus { 
      width:400px !important;
    }

    .catitem {
        min-height: 60px;
        background: #fff;
        border-radius: 5px;
        box-shadow: 0 0 5px rgba(55, 69, 80, 0.1);
        padding: 10px 10px;
        /* margin: 30px; */
        width: 100%;
        text-align: center;
        cursor: pointer;
        transition: all 200ms ease-in;
        display: flex;
        justify-content: flex-start;
        align-items: flex-end;
        flex-direction:column;
    }

    .catitem:hover{
        transform: translateY(10px);
        box-shadow: -2px 13px 20px rgba(55, 69, 80, 0.1);
        transform:scale(1.05);
    }
    .itemcontainer{
    display: flex;
    align-items: stretch;
    margin-bottom: 20px;
    }
    .result{
        margin:40px !important;
        /* display: flex; */
        /* justify-content: flex-start; */
        /* align-items: center; */
        /*padding-top: 100px;*/
    }
    .itemtitle{
            color: #374550;
            font-weight: 400;
            font-size: 18px;
            padding: 10px;
            text-align: right;
    }
    .itemprice{
        flex:1;
        display:flex;
        flex-direction: row;
        align-items: flex-end;
        padding: 10px;
        width: 100%;
        align-items: flex-end;
        text-align: left;
        padding-bottom: 0px;
    }
    .pricetitle{

    }
    .itempricecontainer{display: flex;flex-direction: row;flex: 1;width: 100%;justify-content: flex-start;align-items: baseline;}
        input:focus, textarea:focus, select:focus{
        outline: none;
    }
</style>
}

@*<div style="display: flex;margin-top: 150px;display:flex;flex:1;justify-content:center;margin-bottom:50px">
    <div style="display: flex;justify-content: center;">
        <input type="search" class="searchinput" value="" placeholder="به دنبال چه میگردید ؟ " style="width: 300px;border: none;border-radius: 50px;padding: 10px;text-align: right;direction: rtl;box-shadow: 0 0 5px rgba(15, 131, 255, 0.18);transition: all 100ms ease-in;">
        <button name="searchbtn" class="btn btn-outline-primary" style="border-radius: 50px;position: absolute;left: 3px;top: 3px;background: #dcebfd;border-width: 0px;">
            <i class="fa fa-search"></i>
        </button>
    </div>
</div>*@

<div class="result">
    <h2 style="text-align: right;padding-bottom: 10px;font-size: 20px;font-weight: 100;margin-top:100px">
        پیشنهاد <b style="font-size: 20px;font-weight: bold;">@((ViewData["affiliate"] as Affiliate).Name)</b> به شما
    </h2>
    <div style="flex:1">
        <div class="row" style="justify-content: center;" id="_items">
            <preloader v-bind:visible="!dataloaded"></preloader>
            <grid-item v-cloak v-for="(item , index) in items.contracts" :item="item" :index="index">
            </grid-item>
        </div>
    </div>
</div>

@section  Scripts{ 
<script>
    setTimeout(function () {
        General.GetItems();
    }, 100)
</script>
}